package gnu.brl;

// applyFile.java -- apply a BRL file to given arguments
// Copyright (C) 1999, 2000  Bruce R. Lewis and Eaton Vance Management
// See the file COPYING for license terms.

import java.io.*;
import java.util.*;

import kawa.lang.*;
import kawa.standard.*;
import gnu.expr.*;
import gnu.kawa.util.*;
import gnu.mapping.*;

public class applyFile
{
    public static void main(String args[])
    {
	BRL interp = new BRL();
	String scmdir = System.getProperty("scmdir");

	if (scmdir == null) {
	    System.err.println("Property scmdir not set.");
	    System.exit(1);
	} else {
	    scmdir = scmdir + File.separator;
	    interp.define("brl-scmdir", new FString(scmdir));
	    interp.eval((Object)
			new Pair("load",
				 new Pair(new FString(scmdir
						      + "brl-global.scm"),
					  LList.Empty)),
			interp.getEnvironment());
	    System.out.print(interp.eval((Object)
					 LList.list3("brl-handle-request",
						    new FString(args[0]),
						    LList.Empty),
					 interp.getEnvironment()));
	}
	System.exit(0);
    }
}
